Name:           perl-Net-RawIP
Version:        0.25
Release:        3
Summary:        Perl extension for manipulating raw ip packets using libpcap
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-RawIP/
Source0:        http://www.cpan.org/modules/by-module/Net/Net-RawIP-%{version}.tar.gz
Patch0:         Net-RawIP-0.23-format.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker), libpcap-devel,
BuildRequires:  perl(Proc::ProcessTable), perl(Test::Perl::Critic)
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This package provides a class object which can be used for creating,
manipulating and sending raw ip packets with optional features for
manipulating ethernet headers.

%prep
%setup -q -n Net-RawIP-%{version}
%patch0 -p1 -b .format

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

chmod a-x examples/*

%check
%{?!_with_network_tests: rm t/iflist.t }
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README README.Devel TODO examples
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*
%{_mandir}/man3/*

%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.25-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Oct 31 2008 Miloslav Trmač <mitr@redhat.com> - 0.25-1
- Update to Net-RawIP-0.25

* Wed Oct 22 2008 Miloslav Trmač <mitr@redhat.com> - 0.24-1
- Update to Net-RawIP-0.24

* Tue Aug  5 2008 Miloslav Trmač <mitr@redhat.com> - 0.23-2
- Ship the examples

* Wed Jul 30 2008 Miloslav Trmač <mitr@redhat.com> - 0.23-1
- Initial package.
